commit:     922cae3d5a900aec6e096a635047525763e68499
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat May  6 16:49:41 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat May  6 17:18:07 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=922cae3d

dev-python/pylint: add 2.17.4

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/pylint/Manifest             |  1 +
 dev-python/pylint/pylint-2.17.4.ebuild | 87 ++++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/dev-python/pylint/Manifest b/dev-python/pylint/Manifest
index be0c73afbeb6..d54014368227 100644
--- a/dev-python/pylint/Manifest
+++ b/dev-python/pylint/Manifest
@@ -1,3 +1,4 @@
 DIST pylint-2.17.1.gh.tar.gz 1408063 BLAKE2B 
0d4ab42ea4465787ff0bb6768b20800797d76caeddda475a08372a6b174975fec36a48acecea80898b3ba1c36ad6eb6c540678338c84ce48b78e0f6f9553e190
 SHA512 
e467c48349f49c2a9ef68d6a70748bf9144ff589adc1d04eb1822b28511d5a1a0027536fc61a5d33955fb0e7ffbbdecea47e8196844f33985a43e8c1886af21e
 DIST pylint-2.17.2.gh.tar.gz 1408818 BLAKE2B 
678fc98ac583e86e98856713bbfbf975be9f3c51ec1516d2a2df54369af1bba76db6c53d43a09494d08409bb3829df958037ba716ed6880460c2cbbc2ca4b38b
 SHA512 
9c3063332ffc102ba4a7177cca4c440ce89a8ba6fa4252eb1fa401a6e6c10e49afcbbe76127aedccc30dfe5f0dfe7b19cd9aadf4f5ffaa2494a4743d2e0d6a33
 DIST pylint-2.17.3.gh.tar.gz 1410573 BLAKE2B 
c0180555a8789576db2174d99ccb6aca3977f0626228e14288de6d457f7b6bae2c84d25a4e61fe8ca4b2a6f16eeab60c36fe32466dac9e1f0d3be35b93a04b7e
 SHA512 
8d4d0387a89c4aaa2ab7c2ba4c991d6ac7b90982afd292578bab567d556acd2476a22bfdac9a02021519e7a86f389d8991a9ce3405e57c61d6522dab59a19a16
+DIST pylint-2.17.4.gh.tar.gz 1411540 BLAKE2B 
ad8e5dfcd378e2c87f59fc7bad36c504296555ea0174d0f6fd3e59c04eb5610ee0a40257cd4d457418808b55efef8ffef7ca5d6e7da946323cb32e34cf5f0d67
 SHA512 
0232f0badf7124db549e768f5d158e7b7728fb34893726b5c3a0f599e201a18069118f0aab2aed0b0e1d47c0d4d37cec72d9c1c489ec5c3c316a53431ccf35a5

diff --git a/dev-python/pylint/pylint-2.17.4.ebuild 
b/dev-python/pylint/pylint-2.17.4.ebuild
new file mode 100644
index 000000000000..fa4d4ca957f9
--- /dev/null
+++ b/dev-python/pylint/pylint-2.17.4.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python code static checker"
+HOMEPAGE="
+       https://pypi.org/project/pylint/
+       https://github.com/pylint-dev/pylint/
+"
+SRC_URI="
+       https://github.com/pylint-dev/pylint/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+IUSE="examples"
+
+# Make sure to check 
https://github.com/pylint-dev/pylint/blob/main/pyproject.toml#L34 on bumps
+# Adjust dep bounds!
+RDEPEND="
+       <dev-python/astroid-2.17[${PYTHON_USEDEP}]
+       >=dev-python/astroid-2.15.4[${PYTHON_USEDEP}]
+       >=dev-python/dill-0.3.6[${PYTHON_USEDEP}]
+       >=dev-python/isort-4.2.5[${PYTHON_USEDEP}]
+       <dev-python/isort-6[${PYTHON_USEDEP}]
+       >=dev-python/mccabe-0.6[${PYTHON_USEDEP}]
+       <dev-python/mccabe-0.8[${PYTHON_USEDEP}]
+       >=dev-python/platformdirs-2.2.0[${PYTHON_USEDEP}]
+       >=dev-python/tomlkit-0.10.1[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               dev-python/typing-extensions[${PYTHON_USEDEP}]
+       ' 3.9)
+       $(python_gen_cond_dep '
+               >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
+       ' 3.9 3.10)
+"
+BDEPEND="
+       test? (
+               >=dev-python/GitPython-3[${PYTHON_USEDEP}]
+               dev-python/pytest-timeout[${PYTHON_USEDEP}]
+               dev-python/typing-extensions[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       rm -rf pylint || die
+
+       local EPYTEST_DESELECT=(
+               # TODO
+               
'tests/test_functional.py::test_functional[forgotten_debug_statement_py37]'
+               
'tests/test_functional.py::test_functional[dataclass_with_field]'
+               'tests/test_functional.py::test_functional[no_name_in_module]'
+               'tests/test_functional.py::test_functional[shadowed_import]'
+               
tests/checkers/unittest_typecheck.py::TestTypeChecker::test_nomember_on_c_extension_error_msg
+               
tests/checkers/unittest_typecheck.py::TestTypeChecker::test_nomember_on_c_extension_info_msg
+               
tests/config/pylint_config/test_run_pylint_config.py::test_invocation_of_pylint_config
+
+               # apparently fragile, needs unpickleable plugin
+               
tests/test_check_parallel.py::TestCheckParallelFramework::test_linter_with_unpickleable_plugins_is_pickleable
+       )
+       local EPYTEST_IGNORE=(
+               # No need to run the benchmarks
+               tests/benchmark/test_baseline_benchmarks.py
+       )
+       epytest
+}
+
+python_install_all() {
+       if use examples ; then
+               docompress -x "/usr/share/doc/${PF}/examples"
+               docinto examples
+               dodoc -r examples/.
+       fi
+
+       distutils-r1_python_install_all
+}

Reply via email to